Loading...
Searching...
No Matches
Opm::TwoPhaseMaterialTraits< ScalarT, wettingPhaseIdxV, nonWettingPhaseIdxV > Class Template Reference

A generic traits class for two-phase material laws. More...

`#include <MaterialTraits.hpp>`

## Public Types

using | Scalar = ScalarT
| The type used for scalar floating point values.

## Static Public Attributes

static constexpr int | numPhases = 2
| The number of fluid phases.
static constexpr int | wettingPhaseIdx = wettingPhaseIdxV
| The index of the wetting phase.
static constexpr int | nonWettingPhaseIdx = nonWettingPhaseIdxV
| The index of the non-wetting phase.

## Detailed Description

template<class ScalarT, int wettingPhaseIdxV, int nonWettingPhaseIdxV>
class Opm::TwoPhaseMaterialTraits< ScalarT, wettingPhaseIdxV, nonWettingPhaseIdxV >

A generic traits class for two-phase material laws.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/MaterialTraits.hpp